/*
 * Copyright (c) 2018 WIT Software. All rights reserved.
 *
 * WIT Software Confidential and Proprietary information. It is strictly forbidden for 3rd parties
 * to modify, decompile,
 * disassemble, defeat, disable or circumvent any protection mechanism; to sell, license, lease,
 * rent, redistribute or
 * make accessible to any third party, whether for profit or without charge.
 */

package com.witsoftware.wmc.addons.clevertap.entities

import com.wit.wcl.URI
import com.witsoftware.wmc.utils.Values

data class CleverTapSession(val uri: URI, val id: String, val name: String, val startTime: Long, var endTime: Long = Values.INVALID_ID.toLong()) {

    fun duration():Long {
        if (endTime == Values.INVALID_ID.toLong()) {
            return 0
        }

        return endTime - startTime
    }

    override fun toString(): String {
        return "CleverTapSession(uri=${uri.username}, name=$name, startTime=$startTime, endTime=$endTime)"
    }
}