/*
 * Copyright (c) 2018 WIT Software. All rights reserved.
 *
 * WIT Software Confidential and Proprietary information. It is strictly forbidden for 3rd parties
 * to modify, decompile,
 * disassemble, defeat, disable or circumvent any protection mechanism; to sell, license, lease,
 * rent, redistribute or
 * make accessible to any third party, whether for profit or without charge.
 */

package com.witsoftware.wmc.threads.utils

import android.os.Handler
import android.os.Looper
import com.witsoftware.wmc.threads.ThreadManager
import com.witsoftware.wmc.threads.Work

private val sUiHandler: Handler by lazy { Handler(Looper.getMainLooper()) }

fun doInBackground(task: () -> Unit) {
    ThreadManager.getInstance().executeMultiThreadChannel(object : Work() {
        override fun run() {
            task()
        }
    })
}

fun uiThread(task: () -> Unit) {
    sUiHandler.post {
        task()
    }
}